package client

import (
	"git.loafle.net/commons_go/rpc"
	"git.loafle.net/commons_go/rpc/client"
)

func NewClientHandler(addr string, registry rpc.Registry) *ClientHandlers {
	ch := &ClientHandlers{}
	ch.addr = addr
	ch.RPCRegistry = registry

	return ch
}

type ClientHandlers struct {
	client.ClientHandlers

	addr string
}
